/*
 *  planet.cpp
 *  Ruby_HW5_B
 *
 *  Created by Matthew Ruby on 10/4/10.
 *  Copyright 2010. All rights reserved.
 *
 */

#include "planet.h"


//------------------------------------------------------------------
void planet::setup() {
	centerX = 0;
	centerY = 0;
	
}



//------------------------------------------------------------------
void planet::update(float magnitude, float speed) {
	
	
	centerX = magnitude * cos(ofGetFrameNum() * speed);
	centerY = magnitude * sin(ofGetFrameNum() * speed);
	
}



//------------------------------------------------------------------
void planet::draw(int r, int g, int b, int diam, float _x, float _y) {
	ofSetColor(r, g, b, 100);

	x = _x + centerX;
	y = _y + centerY;
	

	ofCircle(x, y, diam);

}